gi-gtk-3.0.43: Gtk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.MenuItemAccessible

Contents

- Exported types
- Methods

Description

No description available in the introspection data.

Synopsis

- newtype MenuItemAccessible = MenuItemAccessible (ManagedPtr MenuItemAccessible)
- class (GObject o, IsDescendantOf MenuItemAccessible o) => IsMenuItemAccessible o
- toMenuItemAccessible :: (MonadIO m, IsMenuItemAccessible o) => o -> m MenuItemAccessible

# Exported types

newtype MenuItemAccessible Source #

Memory-managed wrapper type.

Constructors

MenuItemAccessible (ManagedPtr MenuItemAccessible) |

#### Instances

Instances details

Eq MenuItemAccessible Source # |
Instance details Defined in GI.Gtk.Objects.MenuItemAccessible Methods (==) :: MenuItemAccessible -> MenuItemAccessible -> Bool Source # (/=) :: MenuItemAccessible -> MenuItemAccessible -> Bool Source #
GObject MenuItemAccessible Source # |
Instance details Defined in GI.Gtk.Objects.MenuItemAccessible
ManagedPtrNewtype MenuItemAccessible Source # |
Instance details Defined in GI.Gtk.Objects.MenuItemAccessible Methods toManagedPtr :: MenuItemAccessible -> ManagedPtr MenuItemAccessible Source #
TypedObject MenuItemAccessible Source # |
Instance details Defined in GI.Gtk.Objects.MenuItemAccessible Methods glibType :: IO GType Source #
HasParentTypes MenuItemAccessible Source # |
Instance details Defined in GI.Gtk.Objects.MenuItemAccessible
IsGValue (Maybe MenuItemAccessible) Source # | Convert `MenuItemAccessible` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.MenuItemAccessible Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe MenuItemAccessible -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe MenuItemAccessible) Source #
type ParentTypes MenuItemAccessible Source # |
Instance details Defined in GI.Gtk.Objects.MenuItemAccessible type ParentTypes MenuItemAccessible = '[ContainerAccessible, WidgetAccessible, Accessible, Object, Object, Action, Component, Selection]

class (GObject o, IsDescendantOf MenuItemAccessible o) => IsMenuItemAccessible o Source #

Type class for types which can be safely cast to `MenuItemAccessible`, for instance with `toMenuItemAccessible`.

#### Instances

Instances details

(GObject o, IsDescendantOf MenuItemAccessible o) => IsMenuItemAccessible o Source # |
Instance details Defined in GI.Gtk.Objects.MenuItemAccessible

toMenuItemAccessible :: (MonadIO m, IsMenuItemAccessible o) => o -> m MenuItemAccessible Source #

Cast to `MenuItemAccessible`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

addRelationship, addSelection, bindProperty, bindPropertyFull, clearSelection, connectWidgetDestroyed, contains, doAction, forceFloating, freezeNotify, getv, grabFocus, initialize, isChildSelected, isFloating, notify, notifyByPspec, notifyStateChange, peekParent, ref, refAccessibleAtPoint, refAccessibleChild, refRelationSet, refSelection, refSink, refStateSet, removeFocusHandler, removePropertyChangeHandler, removeRelationship, removeSelection, runDispose, scrollTo, scrollToPoint, selectAllSelection, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getAccessibleId, getAlpha, getAttributes, getData, getDescription, getExtents, getHelpText, getIndexInParent, getKeybinding, getLayer, getLocalizedName, getMdiZorder, getNAccessibleChildren, getNActions, getName, getObjectLocale, getParent, getPosition, getProperty, getQdata, getRole, getSelectionCount, getSize, getWidget.

#### Setters

setAccessibleId, setData, setDataFull, setDescription, setExtents, setHelpText, setName, setParent, setPosition, setProperty, setRole, setSize, setWidget.